#
# spec file for package perl-DBD-XBase
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-DBD-XBase
Version:        1.08
Release:        1.31
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name DBD-XBase
Summary:        Reads and writes XBase (dbf) files, includes DBI support
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DBD-XBase/
Source0:        https://cpan.metacpan.org/authors/id/J/JA/JANPAZ/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
DBI compliant driver for module XBase. Please refer to DBI(3) documentation
for how to actually use the module. In the *connect* call, specify the
directory containing the dbf files (and other, memo, etc.) as the third
part of the connect string. It defaults to the current directory.

Note that with dbf, there is no database server that the driver would talk
to. This DBD::XBase calls methods from XBase.pm module to read and write
the files on the disk directly, so any limitations and features of XBase.pm
apply to DBD::XBase as well. DBD::XBase basically adds SQL, DBI compliant
interface to XBase.pm.

The DBD::XBase doesn't make use of index files at the moment. If you really
need indexed access, check XBase(3) for notes about support for variour
index types.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes driver_characteristics new-XBase README ToDo

%changelog
* Mon Feb 13 2017 coolo@suse.com
- updated to 1.08
  see /usr/share/doc/packages/perl-DBD-XBase/Changes
  1.08 Fri Jan 13 21:20:15 CET 2017
  Add support for dBASE IV memo type B.
* Thu May  5 2016 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-DBD-XBase/Changes
  1.07 Tue May  3 19:45:23 CEST 2016
  Resolving the xbase_lines regression of 1.06.
* Thu Apr  7 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-DBD-XBase/Changes
  1.06 Sun Mar  6 20:48:11 CET 2016
  Add support for W column type (byte array by Visual FoxPro).
  Fixed overload arg warning.
  Restore the table_info functionality.
  Fix for type B little endian issue, reported by Andres Thomas.
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.05
    Fix for prepare_select_eq and empty MDX indexes, patch by Julian
    Bridle.
    Fix for handling MDX indexes, patch by Julian Bridle.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Mar  7 2011 vcizek@novell.com
- update to 1.03
  Fixing output of tests when DBI is not available.
  Added the URL to the AVAILABLE FROM sections.
* Fri Feb 11 2011 vcizek@novell.com
- update to 1.01
  Changed the location of the distribution to
  http://www.adelton.com/perl/DBD-XBase/
  Require perl 5.10 and use O_BINARY from Fcntl.
  Updated the clean target to make distclean clean.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 26 2004 mjancar@suse.cz
- update to 2.4.1
* Thu Oct 30 2003 mjancar@suse.cz
- update to 0.240
- no root for build
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 mjancar@suse.cz
- update to 0.234
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Thu Nov 28 2002 prehak@suse.cz
- update to version 0.231
- enabled make test for alpha
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Jan  3 2002 cihlar@suse.cz
- update to version 0.210
* Tue Aug 14 2001 rvasice@suse.cz
- update to version 0.177
- spec file cleanup
* Thu Apr 19 2001 cihlar@suse.cz
- disabled make test on alpha due to
  Floating point exception
* Fri Mar 23 2001 cihlar@suse.cz
- added make test
* Tue Mar  6 2001 cihlar@suse.cz
- renamed dbdxbase -> perl-DBD-XBase
- updated to version 0.176
* Mon Oct 30 2000 cihlar@suse.cz
- added %%defattr(-,root,root)
* Tue Aug 22 2000 ro@suse.de
- fixed perl path
* Tue Aug  1 2000 cihlar@suse.cz
- package created
